Subject: Re: Order 100128897_1 - 461964005718 ll Incident #1041063
From: Hussain Firoz Miyagamwala <[email-masked]>
To: Maria Katrina Bautista <[email-masked]>, Ahmed Irfan <[email-masked]>, Zubair Wahid <[email-masked]>
Cc: Moataz Salah El Din <[email-masked]>, customer care <[email-masked]>
Date: Tue, 21 Jul 2020 17:42:00 +0400
List-Id: <ccteam.mumzworld.com>

@Ahmed Irfan <[email-masked]> @Zubair Wahid <[email-masked]> Please
check this case

On Sat, Jul 18, 2020 at 4:09 PM Maria Katrina Bautista <[email-masked]>
wrote:

> Hello Hussain and Moataz,
>
> The customer returned the item - Maxi-Cosi - Titan Car Seat - Nomad Grey -
> AEW-8603712110. It was picked up last 1st of June but up until now there's
> no CRA.
>
> Please check if the item has been received at 3PL and please create CRA
> asap and update status. The customer wants her refund asap.
>
> Thank you
>